/**
 * QSMACType.
 *
 * @author	Gifford Cheung
 * @version $Id: QSMACType.java,v 1.1 2001/08/04 00:36:00 gkcheung Exp $
 */

package ostore.mac;
import ostore.util.*;
import java.security.*;

/**
 * Similar to QSSignature, a class used to identify a Mac type.
 */

public abstract class QSMACType implements QuickSerializable {

	/** The signing algorithm */
	public abstract String algorithm();

	/** The Mac algorithm's provider */
	public abstract String provider();

	public void to_bytes( byte[] data, int[] offset) {}
}
