/**
 * GenericOperationFailTError
 *
 * @author     Ben Y. Zhao
 * @version    $Id: GenericOperationFailTError.java,v 1.2 2001/06/08 23:50:50 srhea Exp $
 */

package ostore.tapestry;
import ostore.util.*;
import mdw.sandStorm.api.*;

/** used when a generic operation fails
 **/
public class GenericOperationFailTError extends TErrorEvent {

  public GenericOperationFailTError(SecureHash location, boolean usingMAC,
				    boolean verifiedMAC, String errorMessage) {
    super(location, usingMAC, verifiedMAC, errorMessage);
  }

  public String toString() {
    return "(GenericOperationFailTError at: "+errorLocation+" " + errorMessage + ")";
  }
}

