/**
 * GenericRouteTError
 *
 * @author     Ben Y. Zhao
 * @version    $Id: GenericRouteTError.java,v 1.2 2001/06/08 23:50:50 srhea Exp $
 */

package ostore.tapestry;
import ostore.util.*;
import mdw.sandStorm.api.*;

/** used when a generic route operation fails
 **/
public class GenericRouteTError extends TErrorEvent {

  public GenericRouteTError(SecureHash location, boolean usingMAC,
			    boolean verifiedMAC, String errorMessage) {
    super(location, usingMAC, verifiedMAC, errorMessage);
  }

  public String toString() {
    return "(GenericRouteTError at: "+errorLocation+" " + errorMessage + ")";
  }
}

