/**
 * VerificationException
 *
 * @author     Ben Y. Zhao
 * @version    $Id: VerificationException.java,v 1.1 2001/06/07 23:54:33 ravenben Exp $
 */

package ostore.tapestry;
import ostore.util.*;
import mdw.sandStorm.api.*;

/** used when a verification attempt fails because of missing information
 **/
public class VerificationException extends Exception {

  public VerificationException() {

  }

  public VerificationException(String message) {
    super(message);
  }

  public String toString() {
    return "VerificationException "+ super.toString() +".";
  }
}
