/**
 * StaticPongMsg.
 *
 * @author     Sean C. Rhea
 * @version    $Id: StaticPongMsg.java,v 1.1 2001/09/11 02:40:55 srhea Exp $
 */

package ostore.tapestry.impl;
import ostore.network.NetworkMessage;
import ostore.util.Types;
import ostore.util.NodeId;

public class StaticPongMsg extends NetworkMessage {

    public StaticPongMsg (NodeId peer) {
	super (peer, false /* outbound */);
    }

    public StaticPongMsg (byte [] data, int [] offset) {
	super (data, offset);
    }

    public void to_bytes (byte [] data, int [] offset) {
	super.to_bytes (data, offset);
    }

    public int type_code () {
	return Types.TAPESTRY_STATIC_PONG_MSG;
    }

    public Object clone () throws CloneNotSupportedException {
	return super.clone ();
    }

    public String toString () {
	return "(StaticPongMsg " + super.toString () + ")";
    }
}

