/**
 * NodeNotFoundTError
 *
 * @author     Ben Y. Zhao
 * @version    $Id: NodeNotFoundTError.java,v 1.1 2001/06/01 01:08:47 s_honey Exp $
 */

package ostore.tapestry;
import ostore.util.*;
import mdw.sandStorm.api.*;

/** used when routing to a destination finds no such node.
 **/
public class NodeNotFoundTError extends TErrorEvent {

  public NodeNotFoundTError(SecureHash location, boolean usingMAC,
			    boolean verifiedMAC, String errorMessage) {
    super(location, usingMAC, verifiedMAC, errorMessage);
  }

  public String toString() {
    return "(NodeNotFoundTError at: "+errorLocation+" " + errorMessage + ")";
  }
}
