/**
 * GuidAddr.java
 *
 * @author     Ben Y. Zhao
 * @version    $Id: GuidAddr.java,v 1.1 2001/10/06 00:22:22 ravenben Exp $
 */

package ostore.tapestry.impl;
import ostore.util.NodeId;
import ostore.util.SecureHash;

public class GuidAddr {

  private SecureHash guid;
  private NodeId addr;

  public GuidAddr(SecureHash guid, NodeId addr) {
    this.guid = guid;
    this.addr = addr;
  }

  public SecureHash getGuid() {
    return guid;
  }

  public NodeId getAddr() {
    return addr;
  }

}
